// Persistence of Vision Ray Tracer Scene Description File
// File: RunningMale.inc
// Vers: 3.1
// Desc: Include file for tg_hunt.pov
// Date: 06/20/2001    (20.06.2001)
// Auth: Thomas de Groot

//  This file was generated for POV-Ray V3.1 by
//  Moray V3.3 For Windows Copyright (c) 1993-2000 Lutz + Kretzschmar
//


default {
  texture {
    pigment { rgb <1,0,0> }
  }
}

//
// ********  MATERIALS  *******
//

#declare TdG_FleshColor = 
   material  // TdG_FleshColor
   {   
      texture
      {      
         pigment
         {
            color rgb <0.96, 0.8, 0.69>
         }
      }
   }


//
// ********  OBJECTS  *******
//

#declare RotSweep147 = lathe {
  cubic_spline
  5  // control points
  <1.5, -1.0>,
  <1.5, 0.0>,
  <1.800466, 4.024905>,
  <0.0, 5.0>,
  <-2.380314, 4.499195>
  rotate <90,0,90>
  // All transformations fixed
}
#declare Torso6 = intersection {
  box { // Cube123
    <-1, -1, -1>, <1, 1, 1>
    translate  1.0*z
    // All transformations fixed
    scale <2.0, 1.8, 2.5>
    translate  0.2*y
  }
  object { RotSweep147 }
  bounded_by { // Bound00087
    box {
      <-1.0, -1.0, -1.0>, <1.0, 1.0, 1.0>
      scale <2.085773, 2.018788, 2.585773>
      translate  <0.0, 0.066985, 2.5>
    }
  }
  // All transformations fixed
}
#declare RotSweep148 = lathe {
  cubic_spline
  6  // control points
  <0.9, -2.7>,
  <0.9, 0.0>,
  <1.304076, 1.611536>,
  <1.398126, 3.604276>,
  <0.0, 4.5>,
  <-3.0, 3.0>
  rotate <90,0,90>
  // All transformations fixed
}
#declare Face10 = intersection {
  cylinder { // Cylndr102
    <0,0,1>, <0,0,0>, 1 
    // All transformations fixed
    scale <1.0, 1.0, 2.5>
    translate  <0.17, 0.2, 0.0>
  }
  cylinder { // Cylndr103
    <0,0,1>, <0,0,0>, 1 
    // All transformations fixed
    scale <1.0, 1.0, 2.5>
    translate  <-0.17, 0.2, 0.0>
  }
  // All transformations fixed
  scale 1.9
  rotate 12.0*x
  translate  0.65*y
}
#declare Head10 = intersection {
  object { RotSweep148 }
  object { Face10 }
  bounded_by { // Bound00088
    box {
      <-1.0, -1.0, -1.0>, <1.0, 1.0, 1.0>
      scale <2.320245, 2.449516, 2.815378>
      translate  <0.0, 0.527906, 2.402107>
    }
  }
  // All transformations fixed
  translate  0.5*z
}
#declare HEADANDNECK10 = union {
  sphere { // Neck10
    <0,0,0>,1
    // All transformations fixed
    scale 0.8
  }
  object { Head10 }
  // Scaling fixed
  // Rot X limited (-45.0 to   90.0)
  // Rot Y limited (-70.0 to   70.0)
  // Rot Z limited (-90.0 to   90.0)
  // Translation fixed
  rotate <10.413753, -7.959115, -39.899193>
  translate  5.5*z
}
#declare RotSweep149 = lathe {
  cubic_spline
  4  // control points
  <0.3, -6.0>,
  <0.6, -4.5>,
  <0.65, 0.0>,
  <-1.5, 9.0>
  rotate <90,0,90>
  // All transformations fixed
}
#declare RotSweep150 = lathe {
  cubic_spline
  4  // control points
  <0.3, -6.0>,
  <0.5, -4.3>,
  <0.55, 0.0>,
  <-1.6, 9.0>
  rotate <90,0,90>
  // All transformations fixed
}
#declare RMHand10 = intersection {
  sphere { // Sphere022
    <0,0,0>,1
    // All transformations fixed
    scale <0.55, 0.55, 1.25>
  }
  box { // Cube124
    <-1, -1, -1>, <1, 1, 1>
    // All transformations fixed
    scale <0.4, 0.65, 1.3>
    rotate 15.0*y
    translate  <-0.3, 0.0, 0.1>
  }
  bounded_by { // Bound00089
    box {
      <-1.0, -1.0, -1.0>, <1.0, 1.0, 1.0>
      scale <0.822166, 0.687255, 1.396486>
      translate  <-0.237924, 0.0, 0.1>
    }
  }
  // All transformations fixed
  translate  -1.5*z
}
#declare RMWRISTandHAND10 = union {
  sphere { // RightWrist10
    <0,0,0>,1
    // All transformations fixed
    scale 0.5
  }
  object { RMHand10 }
  // Scaling fixed
  // Rot X limited (-45.0 to   45.0)
  // Rot Y limited (-90.0 to   45.0)
  // Rot Z limited (-90.0 to   90.0)
  // Translation fixed
  rotate <-6.724537, -27.734777, 22.29044>
  translate  -4.6*z
}
#declare RMLowerArmAndWrist10 = union {
  object { RotSweep150 }
  object { RMWRISTandHAND10 }
  translate  -0.35*z
  // All transformations fixed
}
#declare RMLOWERARM10 = union {
  sphere { // RightElbow10
    <0,0,0>,1
    // All transformations fixed
    scale 0.55
  }
  object { RMLowerArmAndWrist10 }
  // Scaling fixed
  // Rot X limited (-150.0 to   0.0)
  // Rot Y limited (-120.0 to   0.0)
  // Translation fixed
  rotate <-17.775743, -0.0, 0.0>
  translate  -4.8*z
}
#declare RMUPPERARM10 = union {
  object { RotSweep149 }
  object { RMLOWERARM10 }
  translate  -0.58*z
  // Scaling fixed
  // Rot X limited (-180.0 to   45.0)
  // Rot Y limited (-45.0 to   180.0)
  // Translation fixed
  rotate <36.755703, 10.265333, 0.0>
}
#declare RightArm10 = union {
  sphere { // RightShoulder10
    <0,0,0>,1
    // All transformations fixed
    scale <0.9, 0.75, 0.75>
  }
  object { RMUPPERARM10 }
  // All transformations fixed
  translate  <-2.7, 0.0, 3.5>
}
#declare RotSweep151 = lathe {
  cubic_spline
  4  // control points
  <0.3, -6.0>,
  <0.6, -4.5>,
  <0.65, 0.0>,
  <-1.5, 9.0>
  rotate <90,0,90>
  // All transformations fixed
}
#declare RotSweep152 = lathe {
  cubic_spline
  4  // control points
  <0.3, -6.0>,
  <0.5, -4.3>,
  <0.55, 0.0>,
  <-1.6, 9.0>
  rotate <90,0,90>
  // All transformations fixed
}
#declare LMHand10 = intersection {
  sphere { // Sphere023
    <0,0,0>,1
    // All transformations fixed
    scale <0.55, 0.55, 1.25>
  }
  box { // Cube125
    <-1, -1, -1>, <1, 1, 1>
    // All transformations fixed
    scale <0.4, 0.65, 1.3>
    rotate -15.0*y
    translate  <0.3, 0.0, 0.1>
  }
  bounded_by { // Bound00090
    box {
      <-1.0, -1.0, -1.0>, <1.0, 1.0, 1.0>
      scale <0.822166, 0.687255, 1.396486>
      translate  <0.237924, 0.0, 0.1>
    }
  }
  // All transformations fixed
  translate  -1.5*z
}
#declare LMWRISTandHAND10 = union {
  sphere { // LeftWrist10
    <0,0,0>,1
    // All transformations fixed
    scale 0.5
  }
  object { LMHand10 }
  // Scaling fixed
  // Rot X limited (-45.0 to   45.0)
  // Rot Y limited (-45.0 to   90.0)
  // Rot Z limited (-90.0 to   90.0)
  // Translation fixed
  rotate <-16.932596, 11.051517, 18.951864>
  translate  -4.6*z
}
#declare LMLowerArmAndWrist10 = union {
  object { RotSweep152 }
  object { LMWRISTandHAND10 }
  translate  -0.35*z
  // All transformations fixed
}
#declare LMLOWERARM10 = union {
  sphere { // LeftElbow10
    <0,0,0>,1
    // All transformations fixed
    scale 0.55
  }
  object { LMLowerArmAndWrist10 }
  // Scaling fixed
  // Rot X limited (-150.0 to   0.0)
  // Rot Y limited (120.0 to   0.0)
  // Translation fixed
  rotate -74.913887*x
  translate  -4.8*z
}
#declare LMUPPERARM10 = union {
  object { RotSweep151 }
  object { LMLOWERARM10 }
  translate  -0.58*z
  // Scaling fixed
  // Rot X limited (-180.0 to   45.0)
  // Rot Y limited (-180.0 to   45.0)
  // Translation fixed
  rotate <-21.06555, -12.536003, 0.0>
}
#declare LeftArm10 = union {
  sphere { // LeftShoulder10
    <0,0,0>,1
    // All transformations fixed
    scale <0.9, 0.75, 0.75>
  }
  object { LMUPPERARM10 }
  // All transformations fixed
  translate  <2.7, 0.0, 3.5>
}
#declare UPPERBODY10 = union {
  object { Torso6 }
  object { HEADANDNECK10 }
  object { RightArm10 }
  object { LeftArm10 }
  translate  0.6*z
  // Scaling fixed
  // Rot X limited (-45.0 to   90.0)
  // Rot Y limited (-45.0 to   45.0)
  // Rot Z limited (-90.0 to   90.0)
  // Translation fixed
  rotate 13.668118*x
}
#declare RotSweep153 = lathe {
  cubic_spline
  4  // control points
  <0.0, -12.0>,
  <1.85, -3.5>,
  <1.4, 0.0>,
  <-1.0, 3.0>
  rotate <90,0,90>
  // All transformations fixed
}
#declare Hips10 = intersection {
  object { RotSweep153 }
  box { // Cube126
    <-1, -1, -1>, <1, 1, 1>
    // All transformations fixed
    scale <2.0, 2.0, 2.2>
    rotate 10.0*x
    translate  <0.0, 0.3, -1.7>
  }
  box { // Cube127
    <-1, -1, -1>, <1, 1, 1>
    // All transformations fixed
    scale <2.0, 2.0, 2.5>
    rotate -30.0*x
    translate  -1.5*z
  }
  bounded_by { // Bound00091
    box {
      <-1.0, -1.0, -1.0>, <1.0, 1.0, 1.0>
      scale <2.108628, 3.090679, 3.273692>
      translate  -1.5*z
    }
  }
  // All transformations fixed
}
#declare RotSweep154 = lathe {
  cubic_spline
  4  // control points
  <0.5, -10.0>,
  <0.7, -5.7>,
  <0.9, 0.0>,
  <-1.5, 20.0>
  rotate <90,0,90>
  // All transformations fixed
}
#declare RotSweep155 = lathe {
  cubic_spline
  4  // control points
  <0.3, -10.0>,
  <0.5, -6.6>,
  <0.7, 0.0>,
  <-1.6, 9.0>
  rotate <90,0,90>
  // All transformations fixed
}
#declare RotSweep156 = lathe {
  cubic_spline
  4  // control points
  <-10.0, -5.0>,
  <0.0, -4.2>,
  <0.6, 0.0>,
  <1.0, 9.0>
  rotate <90,0,90>
  // All transformations fixed
  rotate -90.0*x
  translate  0.8*y
}
#declare RMFoot10 = intersection {
  box { // Cube128
    <-1, -1, -1>, <1, 1, 1>
    translate  <0.0, -1.0, 1.0>
    // All transformations fixed
    scale <1.0, 1.5, 0.5>
    translate  0.9*y
  }
  object { RotSweep156 }
  translate  -1.1*z
  bounded_by { // Bound00092
    box {
      <-1.0, -1.0, -1.0>, <1.0, 1.0, 1.0>
      scale <1.054667, 2.204667, 1.004667>
      translate  <0.0, -1.25, -1.05>
    }
  }
  // All transformations fixed
}
#declare RotSweep157 = lathe {
  cubic_spline
  4  // control points
  <-10.0, -5.0>,
  <0.0, -4.2>,
  <0.6, 0.0>,
  <1.0, 9.0>
  rotate <90,0,90>
  // All transformations fixed
  rotate -90.0*x
  translate  0.8*y
}
#declare RMTOES10 = intersection {
  box { // Cube129
    <-1, -1, -1>, <1, 1, 1>
    translate  <0.0, -1.0, 1.0>
    // All transformations fixed
    scale <1.0, 0.7, 0.5>
    translate  -2.1*y
  }
  object { RotSweep157 }
  translate  <0.0, 2.1, -0.87>
  bounded_by { // Bound00093
    box {
      <-1.0, -1.0, -1.0>, <1.0, 1.0, 1.0>
      scale <1.054667, 2.204667, 1.004667>
      translate  <0.0, 0.75, -0.82>
    }
  }
  // Scaling fixed
  // Rot X limited (-45.0 to   0.0)
  // Translation fixed
  rotate -34.884357*x
  translate  <0.0, -2.1, -0.228>
}
#declare RMANKLEandFOOT10 = union {
  sphere { // RightAnkle10
    <0,0,0>,1
    // All transformations fixed
    scale 0.45
  }
  object { RMFoot10 }
  object { RMTOES10 }
  // Scaling fixed
  // Rot X limited (-45.0 to   45.0)
  // Rot Y limited (-15.0 to   15.0)
  // Rot Z limited (-80.0 to   45.0)
  // Translation fixed
  rotate <24.451748, -0.0, -0.0>
  translate  -6.8*z
}
#declare RMLowerLegAndAnkle10 = union {
  object { RotSweep155 }
  object { RMANKLEandFOOT10 }
  translate  -0.35*z
  // All transformations fixed
}
#declare RMLOWERLEG10 = union {
  sphere { // RightKnee10
    <0,0,0>,1
    // All transformations fixed
    scale 0.55
  }
  object { RMLowerLegAndAnkle10 }
  // Scaling fixed
  // Rot X limited (0.0 to   120.0)
  // Rot Z limited (-45.0 to   45.0)
  // Translation fixed
  rotate <52.795292, 0.0, -0.0>
  translate  -6.0*z
}
#declare RMUPPERLEG10 = union {
  object { RotSweep154 }
  object { RMLOWERLEG10 }
  translate  -0.35*z
  // Scaling fixed
  // Rot X limited (-140.0 to   20.0)
  // Rot Y limited (-10.0 to   45.0)
  // Translation fixed
  rotate <-62.744801, 4.50711, 0.0>
}
#declare RightLeg10 = union {
  sphere { // RightHipJoint10
    <0,0,0>,1
    // All transformations fixed
    scale 0.8
  }
  object { RMUPPERLEG10 }
  // All transformations fixed
  translate  <-1.2, 0.0, -4.2>
}
#declare RotSweep158 = lathe {
  cubic_spline
  4  // control points
  <0.5, -10.0>,
  <0.7, -5.7>,
  <0.9, 0.0>,
  <-1.5, 20.0>
  rotate <90,0,90>
  // All transformations fixed
}
#declare RotSweep159 = lathe {
  cubic_spline
  4  // control points
  <0.3, -10.0>,
  <0.5, -6.6>,
  <0.7, 0.0>,
  <-1.6, 9.0>
  rotate <90,0,90>
  // All transformations fixed
}
#declare RotSweep160 = lathe {
  cubic_spline
  4  // control points
  <-10.0, -5.0>,
  <0.0, -4.2>,
  <0.6, 0.0>,
  <1.0, 9.0>
  rotate <90,0,90>
  // All transformations fixed
  rotate -90.0*x
  translate  0.8*y
}
#declare LMFoot10 = intersection {
  box { // Cube130
    <-1, -1, -1>, <1, 1, 1>
    translate  <0.0, -1.0, 1.0>
    // All transformations fixed
    scale <1.0, 1.5, 0.5>
    translate  0.9*y
  }
  object { RotSweep160 }
  translate  -1.1*z
  bounded_by { // Bound00094
    box {
      <-1.0, -1.0, -1.0>, <1.0, 1.0, 1.0>
      scale <1.054667, 2.204667, 1.004667>
      translate  <0.0, -1.25, -1.05>
    }
  }
  // All transformations fixed
}
#declare RotSweep161 = lathe {
  cubic_spline
  4  // control points
  <-10.0, -5.0>,
  <0.0, -4.2>,
  <0.6, 0.0>,
  <1.0, 9.0>
  rotate <90,0,90>
  // All transformations fixed
  rotate -90.0*x
  translate  0.8*y
}
#declare LMTOES10 = intersection {
  box { // Cube131
    <-1, -1, -1>, <1, 1, 1>
    translate  <0.0, -1.0, 1.0>
    // All transformations fixed
    scale <1.0, 0.7, 0.5>
    translate  -2.1*y
  }
  object { RotSweep161 }
  translate  <0.0, 2.1, -0.87>
  bounded_by { // Bound00095
    box {
      <-1.0, -1.0, -1.0>, <1.0, 1.0, 1.0>
      scale <1.054667, 2.204667, 1.004667>
      translate  <0.0, 0.75, -0.82>
    }
  }
  // Scaling fixed
  // Rot X limited (-45.0 to   0.0)
  // Translation fixed
  translate  <0.0, -2.1, -0.228>
}
#declare LMANKLEandFOOT10 = union {
  sphere { // LeftAnkle10
    <0,0,0>,1
    // All transformations fixed
    scale 0.45
  }
  object { LMFoot10 }
  object { LMTOES10 }
  // Scaling fixed
  // Rot X limited (-45.0 to   45.0)
  // Rot Y limited (-15.0 to   15.0)
  // Rot Z limited (-45.0 to   80.0)
  // Translation fixed
  rotate <10.316516, 0.014454, -0.667109>
  translate  -6.8*z
}
#declare LMLowerLegAndAnkle10 = union {
  object { RotSweep159 }
  object { LMANKLEandFOOT10 }
  translate  -0.35*z
  // All transformations fixed
}
#declare LMLOWERLEG10 = union {
  sphere { // LeftKnee10
    <0,0,0>,1
    // All transformations fixed
    scale 0.55
  }
  object { LMLowerLegAndAnkle10 }
  // Scaling fixed
  // Rot X limited (0.0 to   120.0)
  // Rot Z limited (-45.0 to   45.0)
  // Translation fixed
  rotate <44.240063, 0.0, -2.398706>
  translate  -6.0*z
}
#declare LMUPPERLEG10 = union {
  object { RotSweep158 }
  object { LMLOWERLEG10 }
  translate  -0.35*z
  // Scaling fixed
  // Rot X limited (-140.0 to   20.0)
  // Rot Y limited (-45.0 to   10.0)
  // Translation fixed
  rotate <-0.036191, -3.281769, 0.0>
}
#declare LeftLeg10 = union {
  sphere { // LeftHipJoint10
    <0,0,0>,1
    // All transformations fixed
    scale 0.8
  }
  object { LMUPPERLEG10 }
  // All transformations fixed
  translate  <1.2, 0.0, -4.2>
}
#declare LOWERBODY10 = union {
  object { Hips10 }
  object { RightLeg10 }
  object { LeftLeg10 }
  translate  -0.6*z
  // Scaling fixed
  // Rot X limited (-20.0 to   20.0)
  // Rot Y limited (-20.0 to   20.0)
  // Rot Z limited (-45.0 to   45.0)
  // Translation fixed
  rotate 11.259194*x
}

#declare Male =
union { // MALE_PERSON
  sphere { // Middle10
    <0,0,0>,1
    // All transformations fixed
    scale 1.4
  }
  object { UPPERBODY10 }
  object { LOWERBODY10 }
  translate  19.4*z
  scale 0.06
  rotate <15.608911, -2.623962, -0.0>
  translate  <0.0, 0.001793, 0.009203>
  material { TdG_FleshColor }
}

#declare RunningMale =
  object { Male
    scale <-1,1,1>
    rotate <-90,0,0>
  }

